;+
; @file_comments
; common declaration
;
; check that key_forgetold and keep_compatibility are well defined...
;
; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
;                       June 2005
; @version $Id$
;-
;
IF n_elements(key_forgetold) EQ 0 THEN keep_compatibility
IF n_elements(myuniquetmpdir) EQ 0 THEN keep_compatibility
IF NOT file_test(myuniquetmpdir) THEN keep_compatibility, 1b - key_forgetold
;
@oldcm_used
;
key_forgetold = keyword_set(key_forgetold)
;
IF NOT key_forgetold AND n_elements(sauveps) NE 0 THEN archive_ps = sauveps
;
IF NOT key_forgetold AND n_elements(grandfeuille) NE 0 AND n_elements(petitfeuille) NE 0 THEN $
  page_size = [min([petitfeuille, grandfeuille], max = size_ma), temporary(size_ma)]
IF NOT key_forgetold AND n_elements(margescadre) NE 0 THEN page_margins = margescadre
IF NOT key_forgetold AND n_elements(ccwindowsize) NE 0 THEN windowsize_scale = ccwindowsize
;
IF NOT key_forgetold AND n_elements(prof1) NE 0 THEN vert1 = prof1
IF NOT key_forgetold AND n_elements(prof2) NE 0 THEN vert2 = prof2
;
IF NOT key_forgetold AND n_elements(premierxt) NE 0 THEN firstxt = premierxt
IF NOT key_forgetold AND n_elements(premierxu) NE 0 THEN firstxu = premierxu
IF NOT key_forgetold AND n_elements(premierxv) NE 0 THEN firstxv = premierxv
IF NOT key_forgetold AND n_elements(premierxf) NE 0 THEN firstxf = premierxf
IF NOT key_forgetold AND n_elements(premieryt) NE 0 THEN firstyt = premieryt
IF NOT key_forgetold AND n_elements(premieryu) NE 0 THEN firstyu = premieryu
IF NOT key_forgetold AND n_elements(premieryv) NE 0 THEN firstyv = premieryv
IF NOT key_forgetold AND n_elements(premieryf) NE 0 THEN firstyf = premieryf
IF NOT key_forgetold AND n_elements(premierzt) NE 0 THEN firstzt = premierzt
IF NOT key_forgetold AND n_elements(premierzw) NE 0 THEN firstzw = premierzw
IF NOT key_forgetold AND n_elements(dernierxt) NE 0 THEN lastxt = dernierxt
IF NOT key_forgetold AND n_elements(dernierxu) NE 0 THEN lastxu = dernierxu
IF NOT key_forgetold AND n_elements(dernierxv) NE 0 THEN lastxv = dernierxv
IF NOT key_forgetold AND n_elements(dernierxf) NE 0 THEN lastxf = dernierxf
IF NOT key_forgetold AND n_elements(dernieryt) NE 0 THEN lastyt = dernieryt
IF NOT key_forgetold AND n_elements(dernieryu) NE 0 THEN lastyu = dernieryu
IF NOT key_forgetold AND n_elements(dernieryv) NE 0 THEN lastyv = dernieryv
IF NOT key_forgetold AND n_elements(dernieryf) NE 0 THEN lastyf = dernieryf
IF NOT key_forgetold AND n_elements(dernierzt) NE 0 THEN lastzt = dernierzt
IF NOT key_forgetold AND n_elements(dernierzw) NE 0 THEN lastzw = dernierzw
;
IF NOT key_forgetold AND n_elements(triangles) NE 0 THEN triangles_list = triangles
IF NOT key_forgetold AND n_elements(cointerremont) NE 0 THEN twin_corners_up = cointerremont
IF NOT key_forgetold AND n_elements(cointerredesc) NE 0 THEN twin_corners_dn = cointerredesc
;
IF NOT key_forgetold AND n_elements(key_periodique) NE 0 THEN key_periodic = key_periodique
;
IF NOT key_forgetold AND n_elements(coefpalit) NE 0 AND n_elements(Lightness) EQ 0 $
THEN Lightness = coefpalit
;
